Delete a conversation
Delete a specific conversation by its ID.
DELETE
/
ai
/
conversations
/
{conversation_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.ai.conversations.delete('conversation_id');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.ai.conversations.delete(
"conversation_id",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.AI.Conversations.Delete(context.TODO(), "conversation_id")
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.ConversationDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.ai().conversations().delete("conversation_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.ai.conversations.delete("conversation_id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->ai->conversations->delete('conversation_id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations delete \
--api-key 'My API Key' \
--conversation-id conversation_idcurl --request DELETE \
--url https://api.telnyx.com/v2/ai/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.ai.conversations.delete('conversation_id');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.ai.conversations.delete(
"conversation_id",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.AI.Conversations.Delete(context.TODO(), "conversation_id")
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.ConversationDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.ai().conversations().delete("conversation_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.ai.conversations.delete("conversation_id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->ai->conversations->delete('conversation_id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations delete \
--api-key 'My API Key' \
--conversation-id conversation_idcurl --request DELETE \
--url https://api.telnyx.com/v2/ai/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}